<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Entry\Meta\Comments
 * @copyright   Copyright (c) 2021, WeCodeArt Framework
 * @since 		3.9.5
 * @version		5.0.0
 */

defined( 'ABSPATH' ) || exit();

use WeCodeArt\Markup\SVG;

/**
 * @param   int     $number Contains the comments number
 */
$classnames = [ 'wp-block-post-comments-link' ];

if( 0 === $number ) {
    $classnames[] = 'none';
} elseif ( 1 === $number ) {
    $classnames[] = 'one';
} elseif ( 1 < $number ) {
    $classnames[] = 'multiple';
}

if( post_password_required() ) {
    $classnames[] = 'protected';
}
?>
<div class="<?php echo esc_attr( implode( ' ', $classnames ) ); ?>"><?php
    
    SVG::render( 'comments', [
        'class' => 'wp-block-post-comments-link__icon d-inline-block me-1'
    ] ); 

    comments_popup_link( 
        esc_html__( 'Leave a Comment',  'wecodeart' ), 
        esc_html__( '1 Comment',        'wecodeart' ), 
        esc_html__( '% Comments',       'wecodeart' ), 
        '', 
        esc_html__( 'Comments are Closed', 	'wecodeart' )
    );

    ?>
    <span class="screen-reader-text"><?php
    
        printf( esc_html__( ' on %s', 'wecodeart' ), get_the_title( $post_id ) );

    ?></span>
</div>