<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Conditional\Traits\No_Conditionals
 * @copyright   Copyright (c) 2021, WeCodeArt Framework
 * @since 		4.0
 * @version		4.0
 */

namespace WeCodeArt\Conditional\Traits;

defined( 'ABSPATH' ) || exit(); 

/**
 * Trait for integrations that do not have any conditionals.
 */
trait No_Conditionals {

	/**
	 * Returns an empty array, meaning no conditionals are required to load whatever uses this trait.
	 *
	 * @return array The conditionals that must be met to load this.
	 */
	public static function get_conditionals() {
		return [];
	}
}